# Immutable

class Immutable (val lockStateFlow: StateFlow< Boolean >) : SmartMutex (source)

Immutable variant of SmartMutex. In fact will depend on the owner of lockStateFlow

## Constructors

Immutable
Link copied to clipboard
constructor(lockStateFlow: StateFlow< Boolean >)

## Properties

isLocked
Link copied to clipboard
open val isLocked : Boolean
lockStateFlow
Link copied to clipboard
open override val lockStateFlow : StateFlow< Boolean >

## Functions

waitUnlock
Link copied to clipboard
suspend fun SmartMutex . waitUnlock (): Boolean

Will wait until the SmartMutex.lockStateFlow of this instance will be false.